# open_args Struct Reference

`#include <sysproto.h>`

## Data Fields

int | flags
char | flags_l_ [0]
char | flags_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
int | mode
char | mode_l_ [0]
char | mode_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
char * | path
char | path_l_ [0]
char | path_r_ [(sizeof(register_t)<=sizeof(char *)?0:sizeof(register_t)-sizeof(char *))]

## Detailed Description

Definition at line 56 of file sysproto.h.

## Field Documentation

int open_args::flags

Definition at line 58 of file sysproto.h.

char open_args::flags_l_[0]

Definition at line 58 of file sysproto.h.

char open_args::flags_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 58 of file sysproto.h.

int open_args::mode

Definition at line 59 of file sysproto.h.

char open_args::mode_l_[0]

Definition at line 59 of file sysproto.h.

char open_args::mode_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 59 of file sysproto.h.

char* open_args::path

Definition at line 57 of file sysproto.h.

Referenced by sys_open().

char open_args::path_l_[0]

Definition at line 57 of file sysproto.h.

char open_args::path_r_[(sizeof(register_t)<=sizeof(char *)?0:sizeof(register_t)-sizeof(char *))]

Definition at line 57 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h